/*****************************************************************************/
/*                                                                           */
/*                     SOFTING Industrial Automation GmbH                    */
/*                        Richard-Reitzner-Allee 6                           */
/*                              D-85540 Haar                                 */
/*                      Phone: (++49)-(0)89-45656-0                          */
/*                      Fax:   (++49)-(0)89-45656-399                        */
/*                                                                           */
/*          Copyright (C) SOFTING Industrial Automation GmbH 1998-2010       */
/*                            All Rights Reserved                            */
/*                                                                           */
/*****************************************************************************/
/*****************************************************************************/
/*                                                                           */
/*  Filename    : DPSFrame.H                                                 */
/*  Version     : 1.30 / 2.06                                                */
/*  Date        : 30-07-2009                                                 */
/*  Author      : SOFTING                                                    */
/*                                                                           */
/*  Description :                                                            */
/*                                                                           */
/*                                                                           */
/*****************************************************************************/

#ifndef __DPSFRAME__
#define __DPSFRAME__

/****************************************************************************/
/*** STRING OUTPUT AND LOGGING **********************************************/
/****************************************************************************/

  #define OUTPUT_STRING         output_string

  #define MAX_ERROR_DESCR_LEN   255

/****************************************************************************/
/*** GLOBAL FUNCTION PROTOTYPES *********************************************/
/****************************************************************************/

/****************************************************************************/
/*** AUXILIARY MACROS *******************************************************/
/****************************************************************************/

/****************************************************************************/
/*** DEFINES ****************************************************************/
/****************************************************************************/

/****************************************************************************/
/*** TYPEDEFS ***************************************************************/
/****************************************************************************/

/****************************************************************************/
/*** FUNCTION ***************************************************************/
/****************************************************************************/


FUNCTION extern VOID output_string
  (
    IN const char FAR* Output
  )
  /*------------------------------------------------------------------------*/
  /* FUNCTIONAL_DESCRIPTION                                                 */
  /*------------------------------------------------------------------------*/
  /* Print the String formated on Screen and into a LogFile, if a Handle    */
  /* for a File is available.                                               */
  /*------------------------------------------------------------------------*/
;

#endif /* __DPSFRAME__ */

/*** END OF DPSFrame.c ******************************************************/
